Bug 1267890 - Review Request: jsonld-java-tools - JSON-LD Java tools
Review Request: jsonld-java-tools - JSON-LD Java tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On: 1235950 1241447
Blocks: 1264337
  Show dependency treegraph
 
Reported: 2015-10-01 06:26 EDT by gil cattaneo
Modified: 2015-12-12 23:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-12 23:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-10-01 06:26:46 EDT
Spec URL: https://gil.fedorapeople.org/jsonld-java-tools.spec
SRPM URL: https://gil.fedorapeople.org/jsonld-java-tools-0.7.0-1.fc22.src.rpm
Description: Tools for using JSONLD-Java.
Fedora Account System Username: gil
Comment 2 Upstream Release Monitoring 2015-12-01 12:32:08 EST
gil's scratch build of jsonld-java-tools-0.7.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12023789
Comment 3 Jerry James 2015-12-01 13:46:56 EST
I will take this review.
Comment 4 Jerry James 2015-12-01 16:11:56 EST
I only see one very small issue.  In the xsltproc invocation in %build, "/usr/share" should be replaced with "%{_datadir}".

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
     In the xsltproc invocation, /usr/share should be replaced with %{_datadir}.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jsonld-java-tools-0.7.0-1.fc24.noarch.rpm
          jsonld-java-tools-javadoc-0.7.0-1.fc24.noarch.rpm
          jsonld-java-tools-0.7.0-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
jsonld-java-tools (rpmlib, GLIBC filtered):
    /bin/bash
    java-headless
    jpackage-utils
    mvn(com.github.jsonld-java:jsonld-java)
    mvn(log4j:log4j:1.2.17)
    mvn(net.sf.jopt-simple:jopt-simple)
    mvn(org.openrdf.sesame:sesame-model)
    mvn(org.openrdf.sesame:sesame-rio-api)
    mvn(org.openrdf.sesame:sesame-rio-jsonld)
    mvn(org.openrdf.sesame:sesame-rio-nquads)
    mvn(org.openrdf.sesame:sesame-rio-ntriples)
    mvn(org.openrdf.sesame:sesame-rio-rdfjson)
    mvn(org.openrdf.sesame:sesame-rio-rdfxml)
    mvn(org.openrdf.sesame:sesame-rio-trig)
    mvn(org.openrdf.sesame:sesame-rio-trix)
    mvn(org.openrdf.sesame:sesame-rio-turtle)
    mvn(org.slf4j:slf4j-log4j12)

jsonld-java-tools-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jsonld-java-tools:
    jsonld-java-tools
    mvn(com.github.jsonld-java:jsonld-java-tools)
    mvn(com.github.jsonld-java:jsonld-java-tools:pom:)

jsonld-java-tools-javadoc:
    jsonld-java-tools-javadoc



Source checksums
----------------
https://github.com/jsonld-java/jsonld-java-tools/archive/487503c2bce50a2b05d1a69bf1ac18a63c618bbb/jsonld-java-tools-487503c2bce50a2b05d1a69bf1ac18a63c618bbb.tar.gz :
  CHECKSUM(SHA256) this package     : f62756892492fc9f6b4dff5820ba5bfaaf7a7394fe7d0d2ec5ba4a38722fe501
  CHECKSUM(SHA256) upstream package : f62756892492fc9f6b4dff5820ba5bfaaf7a7394fe7d0d2ec5ba4a38722fe501


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -o --no-cleanup-after --enablerepo=local -b 1267890 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Jerry James 2015-12-01 16:12:39 EST
You can fix the one small issue when you import the package.  This package is APPROVED.
Comment 6 gil cattaneo 2015-12-01 16:26:42 EST
(In reply to Jerry James from comment #4)
> I only see one very small issue.  In the xsltproc invocation in %build,
> "/usr/share" should be replaced with "%{_datadir}".

> [!]: Package consistently uses macros (instead of hard-coded directory
>      names).
>      In the xsltproc invocation, /usr/share should be replaced with
> %{_datadir}.

Done

> [!]: %check is present and all tests pass.
Maven build style do not use/need %check section. Test suite is tunning in the %build context

Spec URL: https://gil.fedorapeople.org/jsonld-java-tools.spec
SRPM URL: https://gil.fedorapeople.org/jsonld-java-tools-0.7.0-1.fc23.src.rpm

Thanks!


Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/1984
https://admin.fedoraproject.org/pkgdb/package/requests/1985
Comment 7 Jerry James 2015-12-01 16:41:45 EST
(In reply to gil cattaneo from comment #6)
> Maven build style do not use/need %check section. Test suite is tunning in
> the %build context

Ah, sorry, I usually insert a comment to that effect in reviews of maven-built packages.  I apparently forgot to do so this time.
Comment 8 Gwyn Ciesla 2015-12-02 09:15:25 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/jsonld-java-tools
Comment 9 Fedora Update System 2015-12-02 11:39:23 EST
jsonld-java-tools-0.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8aece2a1d8
Comment 10 Fedora Update System 2015-12-03 20:36:00 EST
jsonld-java-tools-0.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jsonld-java-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8aece2a1d8
Comment 11 Fedora Update System 2015-12-12 23:23:05 EST
jsonld-java-tools-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.